package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 自定义菜单result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/8/24
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SysAdminSetResult implements Serializable {

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    Long schoolId;

    @ApiModelProperty(value = "自定义菜单id")
    List<String> privilegeIdList;

    @ApiModelProperty(value = "pdf格式")
    List<String> pdfSize;

    @ApiModelProperty(value = "用户/密码模式是否开启短信验证")
    Boolean accountSmsVerify;

    @ApiModelProperty(value = "第三方统一身份认证地址")
    String teachcloudExchangeSerivePath;

    @ApiModelProperty(value = "同步配置地址")
    String syncServicePath;

    @ApiModelProperty(value = "自定义角色id")
    List<String> roleIdList;

    public SysAdminSetResult() {

    }

    public SysAdminSetResult(List<String> pdfSize) {
        this.pdfSize = pdfSize;
    }

    public SysAdminSetResult(Long schoolId, List<String> privilegeIdList) {
        this.schoolId = schoolId;
        this.privilegeIdList = privilegeIdList;
    }

    public SysAdminSetResult(Long schoolId, String syncServicePath) {
        this.schoolId = schoolId;
        this.syncServicePath = syncServicePath;
    }

    public SysAdminSetResult(Long schoolId, Boolean accountSmsVerify, String teachcloudExchangeSerivePath) {
        this.schoolId = schoolId;
        this.accountSmsVerify = accountSmsVerify;
        this.teachcloudExchangeSerivePath = teachcloudExchangeSerivePath;
    }

    public List<String> getRoleIdList() {
        return roleIdList;
    }

    public void setRoleIdList(List<String> roleIdList) {
        this.roleIdList = roleIdList;
    }

    public String getSyncServicePath() {
        return syncServicePath;
    }

    public void setSyncServicePath(String syncServicePath) {
        this.syncServicePath = syncServicePath;
    }

    public String getTeachcloudExchangeSerivePath() {
        return teachcloudExchangeSerivePath;
    }

    public void setTeachcloudExchangeSerivePath(String teachcloudExchangeSerivePath) {
        this.teachcloudExchangeSerivePath = teachcloudExchangeSerivePath;
    }

    public Boolean getAccountSmsVerify() {
        return accountSmsVerify;
    }

    public void setAccountSmsVerify(Boolean accountSmsVerify) {
        this.accountSmsVerify = accountSmsVerify;
    }

    public List<String> getPrivilegeIdList() {
        return privilegeIdList;
    }

    public void setPrivilegeIdList(List<String> privilegeIdList) {
        this.privilegeIdList = privilegeIdList;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public List<String> getPdfSize() {
        return pdfSize;
    }

    public void setPdfSize(List<String> pdfSize) {
        this.pdfSize = pdfSize;
    }
}
